<?
include 'config.php';
include 'func.php';

head();
aut();
ban();

echo head . 'Отдать голос' . div;

$id = num($_GET['user']);

switch ($_GET['shag']) {
    default:
    echo '<form action="rating.php?shag=2&user='.num($_GET['user']).'" method="post" name="form"><select name="rating">';
    mysql_query ("Select * from add_rayting WHERE (user_1 = '".$id."') AND (user_2 = '".$id_session."')");
    if ( (mysql_affected_rows()==0) ) {
        echo '<option value="1">1 В топку!</option>
        <option value="2">2 Не впечатляет!</option>        
        <option value="3">3 Есть над чем по работать</option>
        <option value="4">4 Лучше среднего</option>
        <option value="5">5 Пять баллов!</option>
        <option value="6">6 Гламурно</option>
        <option value="7">7 Зачет</option>
        <option value="8">8 Крепкий зачет!</option>
        <option value="9">9 Почти ЖЖОТ!</option>
        <option value="10">10 ЖЖОТ!</option>';
    }
        echo '<option value="25">25 Платная оценка: 10 монет</option>';
        echo '<option value="100">100 Платная оценка: 25 монет</option>';
        echo '<input name="submit" type="submit" class="button" value="Оценить" /></form>';
    break;

    case '2':
    $_SESSION['us'] = num($_GET['user']);
    if ($_POST['rating'] > 100 OR $_POST['rating'] == 0) 
        $err = 'Возникла ошибка';
    else
        $_SESSION['ocenka'] = num($_POST['rating']);
    
    $uinfo = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".num($_SESSION['us'])."'"));    
    if ($uinfo['sex'] == 0) $pol = 'для нее:'; else $pol = 'для него:';
    if ($sex_session == 0) $pol1 = 'Ты поставила'; else $pol1 = 'Ты поставил';
    echo $pol1 . ' оценку ' .$golos.'. Выбери один из комплиментов' . $pol; 
    
    echo '<form action="rating.php?shag=3" method="post" name="form"><select name="rating">';
    if ($uinfo['sex'] == 1) {
        echo '<option value="0">Не выбрано</option>
        <option value="1">Красивый</option>
        <option value="2">Мужественный</option>        
        <option value="3">Божественный</option>
        <option value="4">Жгучий</option>
        <option value="5">Дерзкий</option>
        <option value="6">Скромный</option>
        <option value="7">Стильный</option>
        <option value="8">Сладкий</option>';
    } else {
        echo '<option value="0">Не выбрано</option>
        <option value="9">Красивая</option>
        <option value="10">Женственная</option>        
        <option value="11">Божественная</option>
        <option value="12">Жгучая</option>
        <option value="13">Дерзкая</option>
        <option value="14">Скромная</option>
        <option value="15">Стильная</option>
        <option value="16">Сладкая</option>';        
    }
    
    echo '<b>Или напиши свой:</b><br/><textarea id="tarea" name="msg" cols="30" rows="5" style="width: 99%;"></textarea><br/>';
    echo '<input name="submit" type="submit" class="button" value="Отправить" /></form><br/>';
    break;
    
    case '3':
    $id = num($_SESSION['us']);
    $golos = num($_SESSION['ocenka']);
    $rating = num($_POST['rating']);
    $msg = html($_POST['msg']);
    $msg1 = html($_POST['msg']);
    
    if ($golos <= 10) {
    $result = mysql_query("INSERT INTO `add_rayting` SET `user_1` = '".num($_SESSION['us'])."', `user_2` = '".$id_session."', `golos` = '".$golos."'");
    echo rew(num($_SESSION['us']));
    } else {
 
        if ($vip_session < time() AND ($golos == 25 AND $many_session < 10) OR ($golos == 100 AND $many_session < 25)) $err = 'У вас не достаточно средств';
        
        if (isset($err))
            echo 'Ошибка: ' . $err . '<br/>';
        else {

        $result = mysql_query("INSERT INTO `add_rayting` SET `user_1` = '".num($_SESSION['us'])."', `user_2` = '".$id_session."', `golos` = '".$golos."'");
        
        if ($vip_session < time()) {
        if ($golos == 25)
        mysql_query("UPDATE `profile` SET `many` = '".($many_session - 10)."' WHERE `id` = '".$id_session."'");
        }
        
        if ($golos == 100)
        mysql_query("UPDATE `profile` SET `many` = '".($many_session - 25)."' WHERE `id` = '".$id_session."'");
        
        
        /////////////////////////////////////////////////
        if ($sex_session == 0) $pol = 'оценила'; else $pol = 'оценил';
        
        if (!empty($msg))
            $msg = user($id_session) . ' ' .$pol.' тебя на <b>'.$golos.'</b>. И считаю что ты '.html($msg);
        else
            $msg = user($id_session) . ' ' .$pol.' тебя на <b>'.$golos.'</b>. И считаю что ты '.ocenk($rating);
        
        if (empty($msg1) AND empty($rating)) {
            $msg = user($id_session) . ' ' .$pol.' тебя на <b>'.$golos.'</b>';
            }
        $id = num($_SESSION['us']);
        mysql_query("INSERT INTO `uvedom` SET  `msg` = '".$msg."', `md` = 'golos', `user_to` = '".num($_SESSION['us'])."', `user_ot` = '".$id_session."', `date` = '".time()."', `status` = '1'");
        
        $all = mysql_result(mysql_query("SELECT count(*) FROM add_rayting where `user_1` = '".num($_SESSION['us'])."'"), 0);
        if ($all == 0) $all = 1;
        $res = mysql_query("SELECT * FROM add_rayting where `user_1` = '".num($_SESSION['us'])."'");
        while($a = mysql_fetch_assoc($res)) {
            $rat =  $rat + $a['golos'];
            }
            
        $result = ($rat+$golos) / $all; // Выводим средний балл
        $result = number_format($result,1);
        mysql_query("UPDATE `profile` SET `rating` = '".$result."' WHERE `id` = '".num($_SESSION['us'])."'");
        echo rew(num($_SESSION['us']));
        }
        }
        
    
break;
}


navig();
foot();
?>